import edu.rice.cs.mint.runtime.*;

public final class ScopeExt {
    public static class NoCodeException extends RuntimeException {
    }
    public separable Code<Void> noCodeMeth() {
        throw new NoCodeException();
    }
    
    /*
     public static class CodeContainerException extends RuntimeException {
     Code<Integer> _c;
     public CodeContainerException(Code<Integer> c) {
     _c = c;
     }
     }
     public separable Code<Void> codeMeth(Code<Integer> c) {
     throw new CodeContainerException(c);
     }
     */
    
    public void run() {
        Code<Void> cv = <| { `(noCodeMeth()); } |>;
        cv.run();
    }
    
    public static void main (String [] args) {
        new ScopeExt().run();
    }
}
